Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACEXML_SAXParseException Class Reference

ACEXML_SAXParseException. More...

`#include "ACEXML/common/SAXExceptions.h"`

Inheritance diagram for ACEXML_SAXParseException:

[legend]
Collaboration diagram for ACEXML_SAXParseException:

[legend]
List of all members.

## Public Methods
| ACEXML_SAXParseException (void)
| Default constructor. More...
| ACEXML_SAXParseException (const ACEXML_Char *msg)
| Constructor with an initializing exception message. More...
| ACEXML_SAXParseException (const ACEXML_SAXParseException &ex)
| Copy constructor. More...
virtual | ~ACEXML_SAXParseException (void)
| Destructor. More...
virtual void | _raise (void)
| Throw the exception. More...
virtual const ACEXML_Char * | id (void) const
| Return the name of the exception. More...
virtual ACEXML_Exception * | duplicate (void) const
| Dynamically create a copy of this exception. More...
virtual int | is_a (const ACEXML_Char *name)
| Check whether this is an exception of type specified by <name>. More...
virtual void | print (void)
| Print out exception using ACE_DEBUG. More...
## Static Public Methods
ACEXML_SAXParseException * | _downcast (ACEXML_Exception *ex)
| Static narrow operation. More...
## Static Protected Attributes
const ACEXML_Char * | exception_name_ = ACEXML_SAXParseException_name
| All exceptions have names. This name is used to identify the type of an exception. More...

## Detailed Description

ACEXML_SAXParseException.

## Constructor & Destructor Documentation

ACEXML_SAXParseException::ACEXML_SAXParseException | ( | void |  | ) |

| Default constructor.

ACEXML_SAXParseException::ACEXML_SAXParseException | ( | const ACEXML_Char * | msg | ) |

| Constructor with an initializing exception message.

ACEXML_SAXParseException::ACEXML_SAXParseException | ( | const ACEXML_SAXParseException & | ex | ) |

| Copy constructor.

ACEXML_SAXParseException::~ACEXML_SAXParseException | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

ACEXML_SAXParseException* ACEXML_SAXParseException::_downcast | ( | ACEXML_Exception * | ex | ) | `[static]`

| Static narrow operation. Reimplemented from ACEXML_SAXException.

ACEXML_INLINE void ACEXML_SAXParseException::_raise | ( | void |  | ) | `[virtual]`

| Throw the exception. Reimplemented from ACEXML_SAXException.

ACEXML_Exception * ACEXML_SAXParseException::duplicate | ( | void |  | ) | const`[virtual]`

| Dynamically create a copy of this exception. Reimplemented from ACEXML_SAXException.

ACEXML_INLINE const ACEXML_Char * ACEXML_SAXParseException::id | ( | void |  | ) | const`[virtual]`

| Return the name of the exception. Reimplemented from ACEXML_SAXException.

int ACEXML_SAXParseException::is_a | ( | const ACEXML_Char * | name | ) | `[virtual]`

| Check whether this is an exception of type specified by <name>. Reimplemented from ACEXML_SAXException.

void ACEXML_SAXParseException::print | ( | void |  | ) | `[virtual]`

| Print out exception using ACE_DEBUG. Reimplemented from ACEXML_SAXException.

## Member Data Documentation

const ACEXML_Char * ACEXML_SAXParseException::exception_name_ = ACEXML_SAXParseException_name`[static, protected]`

| All exceptions have names. This name is used to identify the type of an exception. Reimplemented from ACEXML_SAXException.

The documentation for this class was generated from the following files:

- SAXExceptions.h
- SAXExceptions.cpp
- SAXExceptions.i